{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Definitions

Returns read-only information about the Task Planner components that are currently available on the server. The returned component IDs and example definitions can be used to assemble task definitions for the Import command.

The Definitions context does not require the Task Planner permission. The client must still be authenticated and have the Web API permission.

The following definition contexts are available:

Context Description
/definitions/triggers Available trigger types and their example definitions
/definitions/jobs Available job types and their example definitions
/definitions/series Available series types and their example definitions
/definitions/actions Available result action types and their example definitions

GET /api/taskplanner/definitions

Lists the available definition contexts.

RESPONSE Fields Value Type Description
name string Name of the context and its next URL path segment
description string Description of the information provided by the context

Example Request

# Request
GET /api/taskplanner/definitions HTTP/1.1
Authorization: Bearer <access_token>
 
# Response
HTTP/1.1 200 OK
Content-Type: application/json
 
[
  {
    "name": "triggers",
    "description": "Available trigger types and their example definitions."
  },
  {
    "name": "jobs",
    "description": "Available job types and their example definitions."
  },
  {
    "name": "series",
    "description": "Available series types and their example definitions."
  },
  {
    "name": "actions",
    "description": "Available result action types and their example definitions."
  }
]

Application Example

curl -LsH "Authorization: Bearer <access_token>"          "http://127.0.0.1:9000/api/taskplanner/definitions"
i-net PDFC
Diese Anwendung verwendet Cookies um das Einloggen zu ermöglichen. Durch die weitere Nutzung dieser Anwendung stimmen Sie der Verwendung von Cookies zu.


Hilfe